[package]
name = "fitnesstrax"
version = "0.5.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
adw             = { version = "0.5", package = "libadwaita", features = [ "v1_4" ] }
async-channel   = { version = "2.1" }
async-trait     = { version = "0.1" }
chrono          = { version = "0.4" }
chrono-tz       = { version = "0.8" }
dimensioned     = { version = "0.8", features = [ "serde" ] }
emseries        = { path = "../../emseries" }
ft-core         = { path = "../core" }
gio             = { version = "0.18" }
glib            = { version = "0.18" }
gdk             = { version = "0.7", package = "gdk4" }
gtk             = { version = "0.7", package = "gtk4", features = [ "v4_10" ] }
thiserror       = { version = "1.0" }
tokio           = { version = "1.34", features = [ "full" ] }

[build-dependencies]
glib-build-tools = "0.18"

